# `causalis.scenarios.synthetic_control.refutation.scm_diagnostics`

## Module Contents

### Functions

`run_scm_diagnostics` | Run compact SCM diagnostics and return thresholded checks.

### Data

`__all__` |

### API

causalis.scenarios.synthetic_control.refutation.scm_diagnostics.run_scm_diagnostics(estimate: causalis.data_contracts.panel_estimate.PanelEstimate, paneldata: causalis.data_contracts.panel_data_scm.PanelDataSCM, *, output_dir: str | pathlib.Path | None = None, filename_prefix: str = 'scm_diagnostics', pre_tail_k: int = 3, dpi: int = 220) → pandas.DataFrame

  Run compact SCM diagnostics and return thresholded checks.

causalis.scenarios.synthetic_control.refutation.scm_diagnostics.__all__

  [‘run_scm_diagnostics’]